*{
    margin: 0;
    padding: 0;
}
body{
    height: 100vh;
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
    background: #facc0c;
}
.main{
    position: relative;
    height: 75%;
    width: 85%;
    display: flex;
    align-items: center;
    justify-content: center;
    border-radius: 12px;
    background: linear-gradient(to right,#5d6d7e, #021e30);
}
.main button{
    padding: 10px 12px;
    margin: 0 10px;
}
.main #logo{
    position: absolute;
    top: 10px;
    left: 30px;
    font-size: 30px;
    color: #ccc;
    text-transform: capitalize;
}
.main #logo i{
    margin-right: 15px;
}
/* left and right part */
.right , .left {
    position: relative;
    height: 100%;
    width: 50%;
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
}

/* song name */
.left img {
    height: 48%;
    width: 78%;
    box-shadow: 1px 0px 50px 8px rgba(240, 240, 240, 0.1);
}
/* both range slider */
input[type="range"]{
    -webkit-appearance: none;
    width: 50%;
    outline: none;
    height: 2px;
    margin: 0 15px;
}
input[type="range"]::-webkit-slider-thumb{
    -webkit-appearance: none;
    height: 20px;
    width: 20px;
    background: #fce413;
    border-radius: 50%;
    cursor: pointer;
}
.right input[type="range"]{
    width: 40%;
}

/* volume part */
.left .volume{
    position: absolute;
    bottom: 10%;
    left: 1rem;
    width: 100%;
    height: 30px;
    display: flex;
    align-items: center;
    justify-content: center;
    color: #fff;
}
.left .volume p{
    font-size: 15px;
}
.left .volume i{
    cursor: pointer;
    padding: 8px 12px;
    background: #021e30;
}
.left .volume i:hover{
    background: rgba(245,245,245,0.1);
}
.volume #volume_show{
    padding: 8px 12px;
    margin: 0 5px 0 0; 
    background: rgba(245,245,245,0.1);
}
/* right part */
.right .middle{
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
}
.right .middle button{
    border: none;
    height: 42px;
    width: 42px;
    border-radius: 50%;
    display: flex;
    align-items: center;
    justify-content: center;
    cursor: pointer;
    outline: none;
    transition: 0.5s;
    background: rgba(245,245,245,0.1);
}
.right #title{
    position: absolute;
    top: 60px;
    left: 50%;
    transform: translateX(-50%);
    text-transform: capitalize;
    color: #fff;
    font-size: 1.4rem;
}
.right #artist{
    position: absolute;
    top: 140px;
    left: 50%;
    transform: translateX(-50%);
    text-transform: capitalize;
    color: #fff;
    font-size: 0.8rem;
}
.right .duration{
    position: absolute;
    bottom: 20%;
    left: 50%;
    transform: translateX(-50%);
    display: flex;
    align-items: center;
    justify-content: center;
    width: 100%;
    height: 20px;
    margin-top: 40px;
}
.right .duration p{
    color: #fff;
    font-size: 15px;
    margin-left: 20px;
}
.right #auto{
    font-size: 18px;
    cursor: pointer;
    margin-top: 45px;
    border: none;
    padding: 10px 14px;
    color: #fff;
    background: rgba(245,245,245,0.2);
    outline: none;
    border-radius: 15px;
}
.right #auto i{
    margin-left: 8px;
}
#play{
    background: #8f695e;
}
.right button:hover{
    background: #ff8a65;
}
.right i:before{
    color: #fff;
    font-size: 20px;
}
.right .show_song_no{
    position: absolute;
    top: 10px;
    right: 10px;
    width: 30px;
    height: 20px;
    display: flex;
    align-items: center;
    justify-content: center;
    padding: 8px 12px;
    color: #fff;
    border-radius: 5px;
    background: rgba(245,245,245,0.3);
}
right .show_song_no p:nth-child(2){
    margin: 0 5px;
}